Bug 1411467 - Review Request: bitlbee-steam - Steam protocol plugin for BitlBee
Summary: Review Request: bitlbee-steam - Steam protocol plugin for BitlBee
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 19:44 UTC by Garrett Holmstrom
Modified: 2018-04-11 16:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 03:48:10 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Garrett Holmstrom 2017-01-09 19:44:59 UTC
Spec URL: https://gholms.fedorapeople.org/review/bitlbee-steam-1.4.2-1.spec
SRPM URL: https://gholms.fedorapeople.org/review/bitlbee-steam-1.4.2-1.src.rpm
Description: Steam protocol plugin for BitlBee
Fedora Account System Username: gholms

rpmlint emits no warnings or errors.

Comment 1 Garrett Holmstrom 2017-01-17 06:16:29 UTC
No, this review was less than three days old.

Comment 2 Neal Gompa 2017-02-02 20:06:15 UTC
Taking this review.

Comment 3 Neal Gompa 2017-02-02 22:02:45 UTC
Some notes:

> rm $RPM_BUILD_ROOT/%{_libdir}/bitlbee/steam.la

Please use %{buildroot} instead of "$RPM_BUILD_ROOT"

> %{!?_licensedir: %global license %%doc}

This should be "%{!?_licensedir: %global license %doc}"


Additional notes:

This package provides "steam.so()(64bit)" which is unhelpfully generic. Please add a Provides filter rule to filter out auto-generated Provides from libraries installed into "%{_libdir}/bitlbee". More information can be found at https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

Comment 4 Garrett Holmstrom 2017-02-03 19:31:48 UTC
In reply to Neal Gompa from comment #3)
> Some notes:
> 
> > rm $RPM_BUILD_ROOT/%{_libdir}/bitlbee/steam.la
> 
> Please use %{buildroot} instead of "$RPM_BUILD_ROOT"

The spec file wasn't up to date with current packaging guidelines anyway, so I replaced the calls to make with %make_build and %make_install.  The file is now consistent.

> > %{!?_licensedir: %global license %%doc}
> 
> This should be "%{!?_licensedir: %global license %doc}"

Removed; it isn't necessary any more.

> Additional notes:
> 
> This package provides "steam.so()(64bit)" which is unhelpfully generic.
> Please add a Provides filter rule to filter out auto-generated Provides from
> libraries installed into "%{_libdir}/bitlbee". More information can be found
> at https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering

Fixed.  Good catch!

New links:

https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-2.spec
https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-2.src.rpm

Comment 5 Garrett Holmstrom 2017-02-06 21:56:03 UTC
Replaced "Requires: bitlbee" with "Requires: bitlbee%{?_isa}"

https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-3.spec
https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-3.src.rpm

Comment 6 Neal Gompa 2017-02-06 22:10:04 UTC
Review notes:

+ Package is named appropriately
+ Macros are used consistently
+ Requires and Provides are sane
+ License and documentation are appropriately marked
! File size and checksum mismatch from fedora-review/rpmlint:
  - bitlbee-steam.src: W: file-size-mismatch bitlbee-steam-1.4.2.tar.gz = 375563, https://github.com/bitlbee/bitlbee-steam/archive/v1.4.2/bitlbee-steam-1.4.2.tar.gz = 43003

Comment 7 Garrett Holmstrom 2017-02-06 22:29:27 UTC
I guess that's what I get for copypasting from the packaging guidelines without testing them first.  Upstream's source packages come from GitHub's "Releases" page, not archive links, so it now points to the former.  rpmlint still gets angry, but that's because GitHub refuses its HEAD requests.

% sha256sum SOURCES/bitlbee-steam-1.4.2.tar.gz
716bab07dfba5254c8f07d0cd5e29a1a9e6da3e31cdad63803897f814d403f62  SOURCES/bitlb
% curl -Ls $(spectool --lf SPECS/bitlbee-steam.spec) | sha256sum
716bab07dfba5254c8f07d0cd5e29a1a9e6da3e31cdad63803897f814d403f62  -

https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-4.spec
https://fedorapeople.org/~gholms/review/bitlbee-steam-1.4.2-4.src.rpm

Comment 8 Neal Gompa 2017-02-06 22:34:40 UTC
Looks good to me, now.

PACKAGE APPROVED.

Comment 9 Gwyn Ciesla 2017-02-07 13:06:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/bitlbee-steam

Comment 10 Fedora Update System 2017-02-12 23:38:53 UTC
bitlbee-steam-1.4.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bcc2712ec1

Comment 11 Fedora Update System 2017-02-13 23:19:12 UTC
bitlbee-steam-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-bcc2712ec1

Comment 12 Fedora Update System 2017-03-02 03:48:10 UTC
bitlbee-steam-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.